PKIXExtendedParameters.Builder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce

## Class PKIXExtendedParameters.Builder

- java.lang.Object
- - org.bouncycastle.jcajce.PKIXExtendedParameters.Builder

- Enclosing class:
    PKIXExtendedParameters

      public static class PKIXExtendedParameters.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKIXExtendedParameters.Builder(PKIXExtendedParameters baseParameters)`
    `PKIXExtendedParameters.Builder(java.security.cert.PKIXParameters baseParameters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PKIXExtendedParameters.Builder` | `addCertificateStore(PKIXCertStore store)`
    `PKIXExtendedParameters.Builder` | `addCRLStore(PKIXCRLStore store)`
    `PKIXExtendedParameters.Builder` | `addNamedCertificateStore(GeneralName issuerAltName, PKIXCertStore store)`
    `PKIXExtendedParameters.Builder` | `addNamedCRLStore(GeneralName issuerAltName, PKIXCRLStore store)`
    `PKIXExtendedParameters` | `build()`
    `void` | `setRevocationEnabled(boolean revocationEnabled)` Flag whether or not revocation checking is to be enabled.
    `PKIXExtendedParameters.Builder` | `setTargetConstraints(PKIXCertStoreSelector selector)`
    `PKIXExtendedParameters.Builder` | `setTrustAnchor(java.security.cert.TrustAnchor trustAnchor)` Set the trustAnchor to be used with these parameters.
    `PKIXExtendedParameters.Builder` | `setTrustAnchors(java.util.Set<java.security.cert.TrustAnchor> trustAnchors)` Set the set of trustAnchors to be used with these parameters.
    `PKIXExtendedParameters.Builder` | `setUseDeltasEnabled(boolean useDeltas)` Sets if delta CRLs should be used for checking the revocation status.
    `PKIXExtendedParameters.Builder` | `setValidityModel(int validityModel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKIXExtendedParameters.Builder

          public PKIXExtendedParameters.Builder(java.security.cert.PKIXParameters baseParameters)

    - #### PKIXExtendedParameters.Builder

          public PKIXExtendedParameters.Builder(PKIXExtendedParameters baseParameters)

  - ### Method Detail

    - #### addCertificateStore

          public PKIXExtendedParameters.Builder addCertificateStore(PKIXCertStore store)

    - #### addNamedCertificateStore

          public PKIXExtendedParameters.Builder addNamedCertificateStore(GeneralName issuerAltName,
                                                                PKIXCertStore store)

    - #### addCRLStore

          public PKIXExtendedParameters.Builder addCRLStore(PKIXCRLStore store)

    - #### addNamedCRLStore

          public PKIXExtendedParameters.Builder addNamedCRLStore(GeneralName issuerAltName,
                                                        PKIXCRLStore store)

    - #### setTargetConstraints

          public PKIXExtendedParameters.Builder setTargetConstraints(PKIXCertStoreSelector selector)

    - #### setUseDeltasEnabled

          public PKIXExtendedParameters.Builder setUseDeltasEnabled(boolean useDeltas)

      Sets if delta CRLs should be used for checking the revocation status.
      Parameters:
        `useDeltas` - `true` if delta CRLs should be used.

    - #### setValidityModel

          public PKIXExtendedParameters.Builder setValidityModel(int validityModel)

      Parameters:
        `validityModel` - The validity model to set.
      See Also:
        `PKIXExtendedParameters.CHAIN_VALIDITY_MODEL`, `PKIXExtendedParameters.PKIX_VALIDITY_MODEL`

    - #### setTrustAnchor

          public PKIXExtendedParameters.Builder setTrustAnchor(java.security.cert.TrustAnchor trustAnchor)

      Set the trustAnchor to be used with these parameters.
      Parameters:
        `trustAnchor` - the trust anchor end-entity and CRLs must be based on.
      Returns:
        the current builder.

    - #### setTrustAnchors

          public PKIXExtendedParameters.Builder setTrustAnchors(java.util.Set<java.security.cert.TrustAnchor> trustAnchors)

      Set the set of trustAnchors to be used with these parameters.
      Parameters:
        `trustAnchors` - a set of trustAnchors, one of which a particular end-entity and it's associated CRLs must be based on.
      Returns:
        the current builder.

    - #### setRevocationEnabled

          public void setRevocationEnabled(boolean revocationEnabled)

      Flag whether or not revocation checking is to be enabled.
      Parameters:
        `revocationEnabled` - true if revocation checking to be enabled, false otherwise.

    - #### build

          public PKIXExtendedParameters build()